> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flashdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Document Configuration



## OpenAPI

````yaml https://api.flashdocs.ai/openapi.json put /v1/documents/{document_id}
openapi: 3.1.0
info:
  title: FlashDocs API
  description: API for FlashDocs application
  version: 1.0.0
servers:
  - url: https://api.flashdocs.ai
    description: Production server
security: []
paths:
  /v1/documents/{document_id}:
    put:
      tags:
        - FlashDocs Document Configuration
      summary: Update Document Configuration
      operationId: update_document_v1_documents__document_id__put
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    DocumentUpdateRequest:
      properties:
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        type:
          anyOf:
            - $ref: '#/components/schemas/DocumentType'
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          anyOf:
            - $ref: '#/components/schemas/DocumentStatus'
            - type: 'null'
        google_document_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Document Id
        knowledge_base_item_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Knowledge Base Item Ids
      type: object
      title: DocumentUpdateRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentType:
      type: string
      enum:
        - template
        - library
      title: DocumentType
    DocumentStatus:
      type: string
      enum:
        - deployed
        - in_progress
      title: DocumentStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````